package com.iamberry.wechat.core.entity.personality;

import java.io.Serializable;
import java.util.List;

/**
 * @description 1.1.1	人格-题目表
 * @author 爱贝源
 * @date 2020年3月2日11:36:48
 */
public class PersonalitySubject implements Serializable {
    private static final long serialVersionUID = 5684130403044687877L;
    private Integer subjectId;
    private String subjectName;//题目名称
    private Integer subjectNumber;//题目序号
    private Integer subjectType;//题目类型
    private List<PersonalityAnswer> listPersonalityAnswer;
    private List<PersonalityType> listPersonalityType;

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getSubjectNumber() {
        return subjectNumber;
    }

    public void setSubjectNumber(Integer subjectNumber) {
        this.subjectNumber = subjectNumber;
    }

    public Integer getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(Integer subjectType) {
        this.subjectType = subjectType;
    }

    public List<PersonalityAnswer> getListPersonalityAnswer() {
        return listPersonalityAnswer;
    }

    public void setListPersonalityAnswer(List<PersonalityAnswer> listPersonalityAnswer) {
        this.listPersonalityAnswer = listPersonalityAnswer;
    }

    public List<PersonalityType> getListPersonalityType() {
        return listPersonalityType;
    }

    public void setListPersonalityType(List<PersonalityType> listPersonalityType) {
        this.listPersonalityType = listPersonalityType;
    }
}
