package com.iamberry.wechat.tools;

import java.io.IOException;
import java.util.Properties;

import org.apache.log4j.Logger;

//@Component("loadResultInfo")
public class loadResultUtil {
	private static Logger logger = Logger.getLogger(loadResultUtil.class);
	
	static String fileName="ResultInfo.properties";
	public loadResultUtil(){
		logger.info("loadResultInfo启动");
		load();
	}
	public static void load() {
		logger.info("loadResultInfo.load启动");
		Properties prop = new Properties();
		try {
			prop.load(Thread.currentThread().getContextClassLoader().getResourceAsStream(loadResultUtil.fileName));

			ResultInfo.subDefaultResponseText=prop.getProperty("subDefaultResponseText");
			ResultInfo.messageDefaultResponseText=prop.getProperty("messageDefaultResponseText");
			ResultInfo.messageIsNullResponseText=prop.getProperty("messageIsNullResponseText");
			ResultInfo.tryCatchDefaultResponseText=prop.getProperty("tryCatchDefaultResponseText");

			//消息的模板id
			ResultInfo.Order_template_id = prop.getProperty("Order_template_id");			//订单未支付通知 	模版id	TM00184
		} catch (IOException e) {
			new RuntimeException(e.getMessage());
		}
	}

}
