package com.iamberry.wechat.face.Personality;

import com.iamberry.wechat.core.entity.personality.*;

import java.util.List;

public interface PersonalitySubjectService {
    //查询题目
    public List<PersonalitySubject> listSubject();
    //查询答案
    public List<PersonalityAnswer> getAnswer(Integer subjectId);
    //查询题目类型
    public List<PersonalityType> getType();
    //查询推荐内容
    public PersonalityRecommended getRecommended(Integer recommendedTypeId);
    //查询推荐书籍
    public List<PersonalityBooks> getBooks(Integer booksRecommendedId);
    //查询单个题目
    public PersonalitySubject getSubject(Integer subjectId);
    //查询结果
    public PersonalityResults getResults(String resultsOpenid);
    //添加结果
    public Integer addResults(PersonalityResults personalityResults);
}
