package com.iamberry.wechat.filters;

import javax.servlet.*;
import javax.servlet.annotation.WebFilter;
import java.io.IOException;
/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年10月18日
 * @explain	管理员登陆过滤器，未登陆时不能访问/main/*、/admin/*中资源; <br>
 * 			注意：绝对不允许添加/admin/*或者admin/**此类的权限路径，"admin/**"是绝对不允许的
 */@WebFilter(value = { "/main", "/admin" })

public class AdminLoginFilter implements Filter {
	
	private static final String ERROR_PAGE = "/WEB-INF/views/admin/msg/error.jsp";

	public AdminLoginFilter() {}

	@Override
	public void destroy() {
	}	

	@Override
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
		chain.doFilter(request, response);
	}
	
	@Override
	public void init(FilterConfig fConfig) throws ServletException {}
}
